(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/Script/HelloWorld.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, '280c3rsZJJKnZ9RqbALVwtK', 'HelloWorld', __filename);
// Script/HelloWorld.js

'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        pokers: cc.Node,
        back: cc.Node,
        front: cc.Node,
        pokers2: cc.Node,
        back2: cc.Node,
        front2: cc.Node
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.back.on('touchstart', this.touchstart, this);
        this.back.on('touchmove', this.touchmove, this);
        this.back.on('touchend', this.touchend, this);
        this.back.on('touchcancel', this.touchcancel, this);
        this.front.getChildByName('frontPoker').y = 0;
        this.back.getChildByName('backPoker').y = 0;

        this.back2.on('touchstart', this.touchstart, this);
        this.back2.on('touchmove', this.touchmove, this);
        this.back2.on('touchend', this.touchend, this);
        this.back2.on('touchcancel', this.touchcancel, this);
        this.front2.getChildByName('frontPoker').x = 0;
        this.back2.getChildByName('backPoker').x = 0;
    },

    // called every frame
    update: function update(dt) {},

    touchstart: function touchstart(event) {
        cc.log('touchstart', event);
        this.touchStartPos = event.getLocation();
        this.isTouching = true;
    },
    touchmove: function touchmove(event) {
        cc.log('touchmove', event);
        this.touchMovePos = event.getLocation();
        if (this.isTouching) {
            var touchY = this.touchMovePos.y - this.touchStartPos.y;
            var touchX = this.touchMovePos.x - this.touchStartPos.x;
            if (event.target.name === "back") {
                if (touchY > 0) {
                    this.back.getChildByName('backPoker').y -= touchY;
                    this.front.getChildByName('frontPoker').y += touchY;
                    this.touchStartPos = this.touchMovePos;
                } else if (this.front.getChildByName("frontPoker").y > 0) {
                    this.back.getChildByName('backPoker').y -= touchY;
                    this.front.getChildByName('frontPoker').y += touchY;
                    this.touchStartPos = this.touchMovePos;
                }
            } else {
                if (touchX > 0) {
                    this.back2.getChildByName('backPoker').x += touchX;
                    this.front2.getChildByName('frontPoker').x -= touchX;
                    this.touchStartPos = this.touchMovePos;
                }
            }
        }
    },
    touchend: function touchend(event) {
        if (event.target.name === "back") {
            this.reset();
        } else {
            this.reset2();
        }
    },
    touchcancel: function touchcancel(event) {
        if (event.target.name === "back") {
            this.reset();
        } else {
            this.reset2();
        }
    },

    reset: function reset() {
        this.front.getChildByName('frontPoker').y = 0;
        this.back.getChildByName('backPoker').y = 0;
    },
    reset2: function reset2() {
        this.front2.getChildByName('frontPoker').x = 0;
        this.back2.getChildByName('backPoker').x = 0;
    }
});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=HelloWorld.js.map
        