cc.Class({
    extends: cc.Component,

    properties: {
        pokers: cc.Node,
        back: cc.Node,
        front: cc.Node,
        pokers2: cc.Node,
        back2: cc.Node,
        front2: cc.Node,
    },

    // use this for initialization
    onLoad: function() {
        this.back.on('touchstart', this.touchstart, this);
        this.back.on('touchmove', this.touchmove, this);
        this.back.on('touchend', this.touchend, this);
        this.back.on('touchcancel', this.touchcancel, this);
        this.front.getChildByName('frontPoker').y = 0;
        this.back.getChildByName('backPoker').y = 0;

        this.back2.on('touchstart', this.touchstart, this);
        this.back2.on('touchmove', this.touchmove, this);
        this.back2.on('touchend', this.touchend, this);
        this.back2.on('touchcancel', this.touchcancel, this);
        this.front2.getChildByName('frontPoker').x = 0;
        this.back2.getChildByName('backPoker').x = 0;

    },

    // called every frame
    update: function(dt) {

    },

    touchstart: function(event) {
        cc.log('touchstart', event);
        this.touchStartPos = event.getLocation();
        this.isTouching = true;
    },
    touchmove: function(event) {
        cc.log('touchmove', event);
        this.touchMovePos = event.getLocation();
        if (this.isTouching) {
            let touchY = this.touchMovePos.y - this.touchStartPos.y;
            let touchX = this.touchMovePos.x - this.touchStartPos.x;
            if (event.target.name === "back") {
                if (touchY > 0) {
                    this.back.getChildByName('backPoker').y -= touchY;
                    this.front.getChildByName('frontPoker').y += touchY;
                    this.touchStartPos = this.touchMovePos;
                } else if (this.front.getChildByName("frontPoker").y > 0) {
                    this.back.getChildByName('backPoker').y -= touchY;
                    this.front.getChildByName('frontPoker').y += touchY;
                    this.touchStartPos = this.touchMovePos;
                }
            } else {
                if (touchX > 0) {
                    this.back2.getChildByName('backPoker').x += touchX;
                    this.front2.getChildByName('frontPoker').x -= touchX;
                    this.touchStartPos = this.touchMovePos;
                }
            }
        }
    },
    touchend: function(event) {
        if (event.target.name === "back") {
            this.reset();
        } else {
            this.reset2();
        }
    },
    touchcancel: function(event) {
        if (event.target.name === "back") {
            this.reset();
        } else {
            this.reset2();
        }
    },

    reset: function() {
        this.front.getChildByName('frontPoker').y = 0;
        this.back.getChildByName('backPoker').y = 0;
    },
    reset2: function() {
        this.front2.getChildByName('frontPoker').x = 0;
        this.back2.getChildByName('backPoker').x = 0;
    }
});